%global pkgname File-Find-Object

Name:           perl-File-Find-Object
Version:        0.2.7
Release:        3%{?dist}
Summary:        Object oriented File::Find replacement
License:        GPLv2+ or Artistic
URL:            http://search.cpan.org/dist/File-Find-Object/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/%{pkgname}-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::XSAccessor)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::More)
#Tests only.
BuildRequires:  perl(Test::CPAN::Changes)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::Pod)
#BuildRequires:  perl(Test::TrailingSpace)
Requires:       perl(Class::XSAccessor)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
File::Find::Object does the same job as File::Find but works like an object
and with an iterator. As File::Find is not object oriented, one cannot
perform multiple searches in the same application. The second problem of
File::Find is its file processing: after starting its main loop, one cannot
easily wait for another event and so get the next result.

%prep
%setup -qn %{pkgname}-v%{version}
chmod 644 examples/tree

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*

%check
./Build test

%files
%doc Changes README examples rejects scripts
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Jul 21 2013 Petr Pisar <ppisar@redhat.com> - 0.2.7-3
- Perl 5.18 rebuild

* Wed Jul 03 2013 Christopher Meng <rpm@cicku.me> - 0.2.7-2
- Fix the license.
- Fix the files permissions.
- Fill up the BRs.

* Sun May 26 2013 Christopher Meng <rpm@cicku.me> - 0.2.7-1
- Initial Package.
